Where to find information and documentation on CLASS?
======================================================

Author: Julien Lesgourgues


* __For what the code can actually compute__: all possible input parameters, all coded cosmological models, all functionalities, all observables, etc.: read the file `explanatory.ini` in the main `CLASS` directory: it is a reference file where we keep track of all possible input.

* __For the structure, style, and concrete aspects of the code__: this documentation; plus the slides of our `CLASS` lectures, for instance those from Tokyo 2014 available at 

    `https://www.dropbox.com/sh/ma5muh76sggwk8k/AABl_DDUBEzAjjdywMjeTya2a?dl=0`

    in the folder `CLASS_Lecture_slides/`.

* __For the python wrapper of `CLASS`__: at the moment, the best is the slides from these lectures, for instance following the previous link and looking into

     `CLASS_Lecture_slides/lecture7_wrapper.pdf`
 
     and into
  
     `IPython_Notebooks`

     for example of python sessions. We will expand soon the documentation on this part with a dedicated webpage.

* __For the physics and equations used in the code__: mainly, the following papers:
    - *Cosmological perturbation theory in the synchronous and conformal Newtonian gauges*

     C. P. Ma and E. Bertschinger.

     astro-ph/9506072

     10.1086/176550

     Astrophys. J. __455__, 7 (1995)

    - *The Cosmic Linear Anisotropy Solving System (CLASS) II: Approximation schemes*

     D. Blas, J. Lesgourgues and T. Tram.

     arXiv:1104.2933 [astro-ph.CO]

     10.1088/1475-7516/2011/07/034

     JCAP __1107__, 034 (2011)

    - *The Cosmic Linear Anisotropy Solving System (CLASS) IV: efficient implementation of non-cold relics*

     J. Lesgourgues and T. Tram.

     arXiv:1104.2935 [astro-ph.CO]

     10.1088/1475-7516/2011/09/032

     JCAP __1109__, 032 (2011)

    - *Optimal polarisation equations in FLRW universes*

     T. Tram and J. Lesgourgues.

     arXiv:1305.3261 [astro-ph.CO]

     10.1088/1475-7516/2013/10/002

     JCAP __1310__, 002 (2013)

    - *Fast and accurate CMB computations in non-flat FLRW universes*

     J. Lesgourgues and T. Tram.

     arXiv:1312.2697 [astro-ph.CO]

     10.1088/1475-7516/2014/09/032

     JCAP __1409__, no. 09, 032 (2014)

    - *The CLASSgal code for Relativistic Cosmological Large Scale Structure*

     E. Di Dio, F. Montanari, J. Lesgourgues and R. Durrer.

     arXiv:1307.1459 [astro-ph.CO]

     10.1088/1475-7516/2013/11/044

     JCAP __1311__, 044 (2013)

